import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'https://gist.githubusercontent.com/meperezcuello/82a9f1c1c473d6585e750ad2e3c05a41/raw/57a7ba37c42551f28f370adc6ef6e9bb3f19f9ee/Medical_Cost.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.age = +d.age;
      d.bmi = +d.bmi;
      d.charges = +d.charges;
      d.children = +d.children;
      d.region = d.region;
      d.sex = d.sex;
      d.smoker = d.smoker;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  console.log(data)
  return data;
};